Bug 174632 - LTC20112- IBM plugin crashes Firefox and Mozilla when symlinked from /usr/lib/mozilla/plugins
LTC20112- IBM plugin crashes Firefox and Mozilla when symlinked from /usr/lib...
Status: CLOSED DUPLICATE of bug 170318
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.4.2-ibm (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: mark wisner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-30 16:57 EST by Thomas Fitzsimmons
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-06 10:40:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2005-11-30 16:57:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
Firefox and Mozilla were crashing when I symlinked libjavaplugin_oji.so from /usr/lib/mozilla/plugins/ to libjavaplugin_ojigcc3.so.  It works when I link directly from the Firefox and Mozilla versioned plugin directories though.  Ideally, I want to have an indirect symlink through /etc/alternatives/libjavaplugin.so so that this plugin can be made an alternative but that fails in a different way (see crash 2 below).  Here are the results of all the different possible combinations:

Direct Symlink:
libjavaplugin_oji.so ->
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.2/jre/bin/libjavaplugin_ojigcc3.so

Directory                         Firefox               Mozilla
/usr/lib/mozilla/plugins          crash 1               crash 1
/usr/lib/mozilla-1.7.12/plugins   not found             works
/usr/lib/firefox-1.0.7/plugins    works                 not found

Indirect Symlink:
libjavaplugin_oji.so -> 
/etc/alternatives/libjavaplugin.so ->
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.3/jre/bin/libjavaplugin_ojigcc3.so

Directory                         Firefox               Mozilla
/usr/lib/mozilla/plugins          crash 1               crash 1
/usr/lib/mozilla-1.7.12/plugins   not found             crash 2
/usr/lib/firefox-1.0.7/plugins    crash 2               not found

crash 1:
Error: could not find libjavaplugin_oji.so
Plugin: can't find plugins/../java directory
INTERNAL ERROR on Browser End: Could not start JavaVM!

System error?:: No such file or directory

crash 2:
INTERNAL ERROR on Browser End: Exec of "java" failed: 2
<
System error?:: No such file or directory

** (Gecko:13313): WARNING **: Serious fd usage error 19

** (Gecko:13313): WARNING **: Serious fd usage error 17
INTERNAL ERROR on Browser End: Could not read ack from child process
System error?:: Resource temporarily unavailable

The plugin not working through a double symlink is predictable given the longstanding bug of IBM's java command not working
through a double symlink.

I've worked around this for the RHEL3U7 and RHEL4U3 packages by installing direct symlinks (the "works" cases above) but I'd like a proper fix for this from IBM if possible.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see description for creating symlinks
2. run "mozilla -g" or "firefox -g; "run" in gdb"
3. browse e.g. http://time.gov/timezone.cgi?Mountain/d/-7/java


Actual Results:  mozilla -g and firefox -g crash with crash 1 and crash 2 error messages when attempting to load a Java applet


Expected Results:  Java applet should load properly

Additional info:
Comment 1 IBM Bug Proxy 2005-12-05 12:50:14 EST
---- Additional Comments From chavez@us.ibm.com(prefers email via lnx1138@us.ibm.com)  2005-12-05 12:50 EDT -------
Is this a duplicate of  RH170318 or something entirely different? 
Comment 2 Thomas Fitzsimmons 2005-12-05 13:17:49 EST
Yes, it is the same issue.  I should have appended the information here to the
end of that report.
Comment 3 IBM Bug Proxy 2005-12-06 10:35:39 EST
---- Additional Comments From chavez@us.ibm.com(prefers email via lnx1138@us.ibm.com)  2005-12-06 10:34 EDT -------
Thomas,

So can we close this one and work this through RH170318? We had people report
that the symlink did not work (it did for me as it did for you) but they may
have been doing it in the the plugins directory not specific to the browser or
via a double link. The other alternative that always seems to work is to update
the LD_LIBRARY_PATH with the location of the JVM since that is what the plugin
searches now. I really dislike both of these solutions but patching mozilla
doesn\'t make sense or is very viable (at least a patch in mainline mozilla)
since the location of the IBM Java will vary as will the directory name it is
in. The IBM Java folks don\'t want to revert the change since it was initially
made to prevent linker cache security attacks.

So, if you would, I\'ld like to hear about a better solution. I wonder if the
Java folks would go for following multiple symlinks to make your solution
workable or whether they\'ll find this to be a security issue as well. I\'ll ask.
If you have any other suggestions or you think your multiple symlink suggestion
is the way to go, please post it in RH170318. Thanks. 
Comment 4 Thomas Fitzsimmons 2005-12-06 10:40:08 EST

*** This bug has been marked as a duplicate of 170318 ***
Comment 5 IBM Bug Proxy 2005-12-06 11:20:32 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ASSIGNED                    |REJECTED
         Resolution|                            |DUPLICATE




------- Additional Comments From chavez@us.ibm.com(prefers email via lnx1138@us.ibm.com)  2005-12-06 11:16 EDT -------


*** This bug has been marked as a duplicate of 18934 *** 

Note You need to log in before you can comment on or make changes to this bug.